# ApplicationFramework
TKTObj
TObj

# TObj_LabelIterator Class Reference

`#include <TObj_LabelIterator.hxx>`

Inheritance diagram for TObj_LabelIterator:

[legend]

## Public Member Functions

Standard_EXPORT | TObj_LabelIterator (const TDF_Label &theLabel, const Standard_Boolean isRecursive=Standard_False)
| Creates an iterator an initialize it by theLabel and recursive flag. If isRecursive is Standard_True make recursive iterations.
virtual Standard_EXPORT Standard_Boolean | More () const
| Returns True if there is a current Item in the iteration.
virtual Standard_EXPORT void | Next ()
| Move to the next Item.
virtual Standard_EXPORT | Handle (TObj_Object) Value() const
| Returns the current item.
const TDF_Label & | LabelValue () const
| Returns the label of the current item.

## Protected Member Functions

Standard_EXPORT | TObj_LabelIterator ()
| Creates an Empty Iterator.
virtual Standard_EXPORT void | MakeStep ()=0
| Shifts iterator to the next object.
Standard_EXPORT void | Init (const TDF_Label &theLabel, const Standard_Boolean isRecursive=Standard_False)
| Initialize Iterator by the theLabel.
| Handle (TObj_Object) myObject
| Current Object.

## Protected Attributes

TDF_Label | myNode
| Current node.
TDF_ChildIterator | myIterator
| OCAF Child iterator.

## Detailed Description

This class is a basis for OCAF based iterators.

## Constructor & Destructor Documentation

Standard_EXPORT TObj_LabelIterator::TObj_LabelIterator | ( |  | ) | `[protected]`

| Constructor

Standard_EXPORT TObj_LabelIterator::TObj_LabelIterator | ( | const TDF_Label & | theLabel,
|  | const Standard_Boolean | isRecursive = `Standard_False`
| ) |

| Constructor

## Member Function Documentation

TObj_LabelIterator::Handle | ( | TObj_Object |  | ) | `[protected]`

virtual Standard_EXPORT TObj_LabelIterator::Handle | ( | TObj_Object |  | ) | const`[inline, virtual]`

| Reimplemented from TObj_ObjectIterator.

Standard_EXPORT void TObj_LabelIterator::Init | ( | const TDF_Label & | theLabel,
|  | const Standard_Boolean | isRecursive = `Standard_False`
| ) | `[inline, protected]`

| Internal methods

const TDF_Label& TObj_LabelIterator::LabelValue | ( |  | ) | const`[inline]`

virtual Standard_EXPORT void TObj_LabelIterator::MakeStep | ( |  | ) | `[protected, pure virtual]`

| Iterating methods Implemented in TObj_OcafObjectIterator, and TObj_ReferenceIterator.

virtual Standard_EXPORT Standard_Boolean TObj_LabelIterator::More | ( |  | ) | const`[inline, virtual]`

| Redefined methods Reimplemented from TObj_ObjectIterator.

virtual Standard_EXPORT void TObj_LabelIterator::Next | ( |  | ) | `[virtual]`

| Reimplemented from TObj_ObjectIterator.

## Field Documentation

TDF_ChildIterator TObj_LabelIterator::myIterator `[protected]`

TDF_Label TObj_LabelIterator::myNode `[protected]`

| Fields

The documentation for this class was generated from the following file:

- TObj_LabelIterator.hxx